Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.geoloc
Class GeolocResultsDtoSerializer

    java.lang.Object
      com.gisgraphy.geoloc.GeolocResultsDtoSerializer

All Implemented Interfaces:
  IGeolocResultsDtoSerializer

    public class GeolocResultsDtoSerializer

extends Object
implements IGeolocResultsDtoSerializer

serialize @link `GeolocResultsDto` into several formats

Author:
  David Masclet

Field Summary
`protected static org.slf4j.Logger` | `logger` The logger
`static String` | `START_PAGINATION_INDEX_EXTRA_PARAMETER`

Constructor Summary
`GeolocResultsDtoSerializer()`

Method Summary
`void` | `serialize(OutputStream outputStream, com.gisgraphy.serializer.common.OutputFormat outputFormat, com.gisgraphy.domain.valueobject.GeolocResultsDto geolocResultsDto, boolean indent, Map<String,Object> extraParameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### START_PAGINATION_INDEX_EXTRA_PARAMETER

    public static final String START_PAGINATION_INDEX_EXTRA_PARAMETER

See Also:
  Constant Field Values

### logger

    protected static final org.slf4j.Logger logger

  The logger

Constructor Detail

### GeolocResultsDtoSerializer

    public GeolocResultsDtoSerializer()

Method Detail

### serialize

    public void serialize(OutputStream outputStream,
                          com.gisgraphy.serializer.common.OutputFormat outputFormat,
                          com.gisgraphy.domain.valueobject.GeolocResultsDto geolocResultsDto,
                          boolean indent,
                          Map<String,Object> extraParameters)

  Specified by:
    `serialize` in interface `IGeolocResultsDtoSerializer`
  Parameters:
    `outputStream` - the `OutputStream` to serialize in
    `outputFormat` - the outputFormat we'd like to serialize the geolocResultsDto
    `geolocResultsDto` - the geolocResultsDto to serialize
    `indent` - whether the stream should be indented (if the format support indentation)
    `extraParameters` - a map that contains named parameters (callback method, startpaginationindex, needed for RSS and ATOM) the parameters can be use for a certain format but not for all)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.